<?php

Goweb::loadClass('Goweb_Db_Model');

/**
 * Goweb Sitemanager 5 Framework
 * @version    5.0.0
 * @category   Frontoffice
 * @package    Cms
 * @subpackage Model
 * @author     I&D <dev@goweb.pt>, Pedro Pinto <ppinto@goweb.pt>
 * @copyright  2009 (c) Goweb (http://www.goweb.pt)
*/
class Cms_Model_Translater extends Goweb_Db_Model {
    
    /**
     * Nome da Tabela
     *
     * @var string
    */
    protected $_table = 'cms_translater';
    
    /**
     * Chave Primaria
     * 
     * @var string
    */
    protected $_primary = 'id';
    
    /**
     * Campo que sera retornado se um
     * echo do objecto for chamado
     *
     * @var string
    */
    protected $_toString = 'texto';  
    
    /**
     * Metodo obrigatorio. Informa a definicao da tabela
     * referente ao Model em questao.
    */
    protected function _setup() {
        $this->initLang();
        $this->texto       = $this->Text(array('label' => 'Texto'));
        $this->translater  = $this->Text(array('label' => 'Tradução'));
        
        $this->actualizado     = $this->Datetime(array('on_update' => '_currentDatetime', 'label' => 'Actualizado em'));
        $this->criado          = $this->Datetime(array('on_insert' => '_currentDatetime', 'label' => 'Criado em'));
        $this->ip              = $this->IpAddress(array('on_update' => '_remoteAddress', 'label' => 'Endere&ccedil;o IP'));
    }
}
